# -*- coding: utf-8 -*-
"""
Created on Tue Jun  4 09:50:23 2019

@author: Karol
"""
import basic_functions as bf
import processing_functions as pf
"Main script"
"Variables"
#Catalog with unziped L8 data catalog
base_path="D:\\processing_cat\\"

paths=bf.get_L8_paths(base_path)

#Catalog with vector shapefile, file have to be with the same cooridinate system.
vector_path="D:\\processing_cat\\vector\\"
#NDVI division lenghth, in edge estimation process (suggested values beetween 0.01 to 0.1)
h=0.05

for catalog_path in paths:

    # #Pixel by pixel index and LST calculation
    LST_masked, NDVI_masked, EVI_masked, NDBI_masked, NDWI_masked, MNDWI_masked  = pf.Other_ind_calc(catalog_path, vector_path, mask_type='new')
    
    #Part of calculation of TVDI and QTVDI  
    NDVI_LST_dry, NDVI_LST_wet, NDVI_LST, NDVI, LST, Mask, out_meta, water_mask_MNDWI =pf.NDVI_LST_extraction(catalog_path, 
                                                                                                                 vector_path, h=h, 
                                                                                                                 mask_type='new', 
                                                                                                                 water_mask=True)
    
    sub_coeff_dry, coeff_wet, coeff_dry_2, coeff_wet_2=pf.TVDI_calculate(NDVI_LST_dry, NDVI_LST_wet, NDVI_LST, h, catalog_path)
    pf.TVDI_image(sub_coeff_dry, coeff_wet, NDVI, LST, Mask, catalog_path, out_meta, h, water_mask_MNDWI)
    pf.qTVDI_image(coeff_dry_2, coeff_wet_2, NDVI, LST, Mask, catalog_path, out_meta, h, water_mask_MNDWI)

    print(catalog_path, 'processing completed')
#    break